darcs

Issue 2636 executable flag can get turned off automatically

Title executable flag can get turned off automatically
Priority bug Status resolved
Milestone 2.14.3 STABLE Resolved in 2.15.0 HEAD
Superseder Nosy List ganesh
Assigned To
Topics

Created on 2019-09-19.17:08:53 by ganesh, last changed 2019-09-26.17:50:44 by noreply.

Messages
msg21470 (view) Author: ganesh Date: 2019-09-19.17:08:50
The 'executable' flag can get turned off automatically by cabal, e.g. when 
there are mismatched dependencies between the executable and the library.

This is unlikely to be what people want and leads to problems like in 
issue2635.
msg21496 (view) Author: bf Date: 2019-09-20.17:38:44
> The 'executable' flag can get turned off automatically by cabal, e.g. when 
> there are mismatched dependencies between the executable and the library.
> 
> This is unlikely to be what people want and leads to problems like in 
> issue2635.

Do we need this flag at all? With modern cabal we can select which
component(s) to build on the command line, so we would only loose the
ability to configure this statically in cabal.project[.local]. I
personally wouldn't miss that, so if it were just me I would throw it out.
msg21497 (view) Author: ganesh Date: 2019-09-20.18:04:41
> Do we need this flag at all? With modern cabal we can select which
> component(s) to build on the command line, so we would only loose the
> ability to configure this statically in cabal.project[.local]. I
> personally wouldn't miss that, so if it were just me I would throw it out.

I've had reason to need it in the past, but to be honest I can't
remember why now. I'd like to make a minimal change to 2.14 though,
maybe we can just drop it in 2.15.
msg21618 (view) Author: noreply Date: 2019-09-26.17:50:42
The following patch sent by Ganesh Sittampalam <ganesh@earth.li> updated issue issue2636 with
status=resolved;resolvedin=2.15.0 HEAD

* resolve issue2636: make executable flag manual 
Ignore-this: 722c1d3904f01421b669ea46657698e6
History
Date User Action Args
2019-09-19 17:08:53ganeshcreate
2019-09-20 17:38:46bfsetmessages: + msg21496
2019-09-20 18:04:42ganeshsetmessages: + msg21497
2019-09-26 17:50:44noreplysetstatus: unknown -> resolved
messages: + msg21618
resolvedin: 2.15.0 HEAD